Subject: RE: [nfsv4] Open with Claim_Delegate_Prev

From: "Khan, Saadia" <[email-masked]>
Date: Thu, 11 Dec 2003 14:05:48 -0800

I would say the server should also return OPEN state in addition to the
delegation state. How else would the client know the open state, it
might have just cached the information that this file had a delegation
and based on that it is calling OPEN with claim_dlg_prev.

Saadia

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] 
> Sent: Thursday, December 11, 2003 1:18 PM
> To: [email-masked]
> Subject: [nfsv4] Open with Claim_Delegate_Prev
> 
> 
> Can I ask about the one last open case?
> 
> I think I understand when the client will use it, but what 
> does the client expect in the reply?
> - I currently return the recovered delegation (from before 
> the SetClientID)
>   but no related Open. (I just put the delegate stateid in 
> both stateids in
>   the reply.)
> 
> Does this sound correct or should I do an Open as well? (And 
> if not, does it matter what is returned in the first stateid?)
> 
> Thanks yet again for any help, rick
> 
> _______________________________________________
> nfsv4 mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/nfsv4
> 

_______________________________________________
nfsv4 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nfsv4